]> git.pld-linux.org Git - packages/apache.git/blobdiff - apache1.init
- mod_deflate: compress application/javascript and application/x-javascript
[packages/apache.git] / apache1.init
index 060e0a9441c87431e99f4443b158e152b1fe9111..8fda4d0c74764c3a91b1a04fac27f0739f8c8630 100644 (file)
@@ -22,8 +22,7 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
        if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-               # nls "ERROR: Networking is down. %s can't be run." <service>
-               msg_network_down apache
+               msg_network_down "Apache 1.3 Web Server"
                exit 1
        fi
 else
@@ -34,85 +33,122 @@ if is_no "${IPV6_NETWORKING}"; then
        HTTPD_OPTS="$HTTPD_OPTS -4"
 fi
 
-RETVAL=0
-# See how we were called.
-case "$1" in
-  start)
+configtest() {
+       /usr/sbin/apache -t > /dev/null 2>&1
+       RETVAL=$?
+}
+
+start() {
        # Check if the service is already running?
+       if [ -x /usr/lib/apache1/lingerd ]; then
+               if [ ! -f /var/lock/subsys/lingerd ]; then
+                       msg_starting "Apache Lingerd"
+                       SERVICE_UMASK=002 daemon --user http /usr/lib/apache1/lingerd
+                       RETVAL=$?
+                       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/lingerd
+               else
+                       msg_already_running "Apache Lingerd"
+               fi
+       fi
        if [ ! -f /var/lock/subsys/apache ]; then
-               msg_starting apache
-               daemon apache $HTTPD_OPTS
+               msg_starting "Apache 1.3 Web Server"
+               daemon /usr/sbin/apache $HTTPD_OPTS
                RETVAL=$?
                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/apache
        else
-               msg_already_running apache
+               msg_already_running "Apache 1.3 Web Server"
        fi
-       ;;
-  stop)
+}
+
+stop() {
        # Stop daemons.
        if [ -f /var/lock/subsys/apache ]; then
-               msg_stopping apache
-               killproc apache
+               msg_stopping "Apache 1.3 Web Server"
+               killproc --pidfile /var/run/apache.pid apache
                rm -f /var/lock/subsys/apache /var/run/apache.pid /var/run/apache.loc* >/dev/null 2>&1
        else
-               msg_not_running apache
+               msg_not_running "Apache 1.3 Web Server"
        fi
-       ;;
-  status)
-       status apache
-       RETVAL=$?
-       /usr/sbin/apache -S
-       ;;
-  restart)
-       apache -t > /dev/null 2>&1
-       RETVAL=$?
+       if [ -x /usr/lib/apache1/lingerd ]; then
+               if [ -f /var/lock/subsys/lingerd ]; then
+                       msg_stopping "Apache Lingerd"
+                       /usr/lib/apache1/lingerd -k && ok || fail
+                       rm -f /var/lock/subsys/lingerd >/dev/null 2>&1
+               else
+                       msg_not_running "Apache Lingerd"
+               fi
+       fi
+}
+
+restart() {
+       configtest
        if [ $RETVAL -eq 0 ]; then
-               $0 stop
-               RETVAL=$((RETVAL + $?))
-               $0 start
-               RETVAL=$((RETVAL + $?))
+               stop
+               start
        else
                fail
-               echo "Configuration file syntax test failed."
+               echo >&2 "Configuration file syntax test failed. Run $0 configtest to see errors."
        fi
+}
 
-       ;;
-  reload|force-reload)
-       if [ -f /var/lock/subsys/apache ]; then
-               msg_reloading apache
+reload() {
+       local sig=${1:-HUP}
+       local retnr=${2:-7}
+       if [ -f /var/lock/subsys/apache ]; then
+               msg_reloading "Apache 1.3 Web Server"
 
-               apache -t > /dev/null 2>&1
-               RETVAL=$?
+               configtest
                if [ $RETVAL -eq 0 ]; then
-                       killproc apache -HUP
+                       killproc --pidfile /var/run/apache.pid apache -$sig
+                       RETVAL=$?
                else
                        fail
-                       echo "Configuration file syntax test failed."
+                       echo >&2 "Configuration file syntax test failed. Run $0 configtest to see errors."
                fi
        else
-               msg_not_running apache >&2
-               RETVAL=7
+               msg_not_running "Apache 1.3 Web Server"
+               RETVAL=$retnr
        fi
-       ;;
-  graceful)
-       if [ -f /var/lock/subsys/apache ]; then
-               msg_reloading apache
+}
 
-               apache -t > /dev/null 2>&1
-               RETVAL=$?
-               if [ $RETVAL -eq 0 ]; then
-                       killproc apache -USR1
-               else
-                       fail
-                       echo "Configuration file syntax test failed."
-               fi
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart)
+       restart
+       ;;
+  try-restart)
+       if [ -f /var/lock/subsys/apache ]; then
+               restart
        else
-               msg_not_running apache >&2
-               RETVAL=7
+               msg_not_running "Apache 1.3 Web Server"
        fi
        ;;
+  force-reload)
+       reload HUP 7
+       ;;
+  reload|graceful)
+       reload USR1 7
+       ;;
+  flush-logs)
+       reload USR1 0
+       ;;
+  configtest)
+       /usr/sbin/apache -t
+       ;;
+  status)
+       status apache
+       RETVAL=$?
+       /usr/sbin/apache -S
+       ;;
   *)
-       msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|status}"
+       msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|graceful|configtest|status}"
        exit 3
        ;;
 esac
This page took 0.037493 seconds and 4 git commands to generate.